#if !defined(ISLOOKUPDLL)
#define DllImportExport __declspec(dllimport)
#else
#define DllImportExport __declspec(dllexport)
#endif

typedef struct rvtag {
   int return_value;
   int lines_in_buffer;
   int records_returned;
   char **data;
} return_data;

DllImportExport void dump_results(return_data *rdata);
DllImportExport void free_results(return_data *rdata);
DllImportExport int doQuery(char *qtype, char *qname, char *qclass, char *qserver, return_data *rdata);


